import React from 'react';

import { BrowserRouter } from 'react-router-dom'

import { Navbar } from '../components/Navbar';

import { Container } from '../components/Container';
import { Banner } from '../components/Banner';
import { Padder } from '../components/Padder';

export const NavbarExample = ({ authenticated }) => {

    return (
        <BrowserRouter>
            <Navbar 
                title='Acme' 
                homeLink='/'
                loginLink='/login'
                signupLink='/signup'
                menu={[
                    {
                        name: 'Solutions',
                        link: '/',
                        subs: [
                            {
                                name: 'Remote work',
                                link: '/'
                            },
                            {
                                name: 'Project management',
                                link: '/'
                            },
                            {
                                name: 'Communication',
                                link: '/'
                            },
                            {
                                name: 'Reporting & dashboards',
                                link: '/'
                            }        
                        ]
                    },
                    {
                        name: 'Pricing',
                        link: '/'
                    }
                ]}
            />

            <div style={{ height: 1000 }}>
                <Container width={900}>
                    <Padder top="3rem">
                    <h1>Hello world</h1>
                    <hr/>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    <Padder top="2rem">
                        <Banner 
                            height={400} 
                            source='https://beringsict.nl/wp-content/uploads/2017/03/earth-globe-wallpaper-15247292.jpg' 
                            direction='center' 
                            parallax={false} 
                        />
                    </Padder>
                    </Padder>
                </Container>
            </div>
        </BrowserRouter>
    );
}